<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:background="@color/main_background_color"
    tools:context=".ui.SoundFragment">
    <ImageView
        android:layout_width="match_parent"
        android:layout_height="400dp"
        android:scaleType="centerCrop"
        app:layout_constraintTop_toTopOf="parent"
        android:src="@mipmap/sound_gags_bg"/>
    <LinearLayout
        android:id="@+id/recordBtn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:layout_marginTop="45dp"
        app:layout_constraintTop_toTopOf="parent"
        android:orientation="horizontal">
        <RelativeLayout
            android:id="@+id/recordImg"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="150dp"
            android:layout_marginStart="20dp"
            android:background="@drawable/record_ty_sel"
           >
            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@drawable/sound_logo1"
                app:tint="@color/dart_blue_text"
                android:layout_centerInParent="true"
                />
            <com.soundapp.soundgags.setting.SetTxtView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="10dp"
                android:textSize="15sp"
                android:textColor="@color/dart_blue_text"
                android:text="@string/record"/>
        </RelativeLayout>
        <RelativeLayout
            android:id="@+id/diyImg"
            android:layout_width="0dp"
            android:layout_height="150dp"
            android:layout_weight="1"
            android:layout_marginStart="20dp"
            android:background="@drawable/record_ty_sel"
            android:layout_marginEnd="20dp">
            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@drawable/record_logo2"
                app:tint="@color/dart_blue_text"
                android:layout_centerInParent="true"
                />
            <com.soundapp.soundgags.setting.SetTxtView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="10dp"
                android:textSize="15sp"
                android:textColor="@color/dart_blue_text"
                android:text="@string/upload"/>
        </RelativeLayout>
    </LinearLayout>
    <LinearLayout
        android:id="@+id/uploadLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/recordBtn"
        android:layout_marginTop="20dp"
        android:orientation="vertical">
        <com.soundapp.soundgags.setting.SetTxtView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textAlignment="center"
            android:textSize="12sp"
            app:isBold="true"
            android:textColor="@color/grey"
            android:padding="8dp"
            android:text="@string/choose_an_upload_method"/>
        <com.soundapp.soundgags.setting.SetTxtView
            android:id="@+id/upload"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/upload_blue_btn"
            android:layout_marginHorizontal="20dp"
            android:textAlignment="center"
            android:textSize="19sp"
            app:isBold="true"
            android:textColor="@color/white"
            android:padding="16dp"
            android:text="@string/start"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/listView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        android:background="@drawable/_20_coner_radius"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginTop="30dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/uploadLayout"
        >
        <View
            android:layout_width="50dp"
            android:layout_height="6dp"
            android:layout_gravity="center"
            android:layout_marginTop="13dp"
            android:background="@drawable/blue_little_ic"/>
        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            android:paddingHorizontal="15dp"
            android:id="@+id/recyclerView"/>
        <LinearLayout
            android:id="@+id/emptyView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginTop="50dp"
            android:orientation="vertical">
            <ImageView
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:src="@drawable/go_to_fly"/>
            <com.soundapp.soundgags.setting.SetTxtView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="@string/no_record_found"/>
        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>